package com.lovenav.dao;

import com.lovenav.entity.Nav;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface NavDao {
    int deleteByNavName(String navName);

    int insert(Nav record);

    int insertSelective(Nav record);

    Nav selectByPrimaryKey(Integer id);

    int updateByName(Nav record);

    int updateByPrimaryKey(Nav record);

    Nav selectAlreadyExist(Nav nav);

    List<Nav> selectAllNav();
}